import { VerificationError, apply_number, apply_string, apply_boolean, apply_void } from "./ts_base";
export default class AddValueResponse {
   value?: number;

   constructor(init?:Partial<AddValueResponse>){
      if(init){
         if(init["value"])
            this.value = init["value"];
      }
   }


   static apply(data: AddValueResponse) {
      apply_AddValueResponse(data);
   }
}

export function apply_AddValueResponse(data: AddValueResponse): AddValueResponse {
   if(typeof data !== "object") throw new VerificationError("AddValueResponse", undefined, data);
   let res = new AddValueResponse() as any;
   if(data["value"] !== null && data["value"] !== undefined) {
      res["value"] = apply_number(data["value"])
   }
   return res;
}
